#ifndef _FS_PDFMETADATA_C_H_
#define _FS_PDFMETADATA_C_H_

#ifdef __cplusplus
extern "C" {
#endif


FSErrorCode FSDK_Metadata_Create(const FS_PDFDOC_HANDLE document, FS_METADATA_HANDLE* metadata_return_value);
FSErrorCode FSDK_Metadata_Release(FS_METADATA_HANDLE metadata_handle);
FSErrorCode FSDK_Metadata_IsEmpty(FS_METADATA_HANDLE metadata_handle, FS_BOOL* return_value);
FSErrorCode FSDK_Metadata_HasKey(FS_METADATA_HANDLE metadata_handle, const wchar_t* key, FS_BOOL* return_value);
FSErrorCode FSDK_Metadata_GetCreationDateTime(FS_METADATA_HANDLE metadata_handle, FSDateTime* return_value);
FSErrorCode FSDK_Metadata_GetModifiedDateTime(FS_METADATA_HANDLE metadata_handle, FSDateTime* return_value);
FSErrorCode FSDK_Metadata_SetCreationDateTime(FS_METADATA_HANDLE metadata_handle, const FSDateTime date_time);
FSErrorCode FSDK_Metadata_SetModifiedDateTime(FS_METADATA_HANDLE metadata_handle, const FSDateTime date_time);
FSErrorCode FSDK_Metadata_GetValues(FS_METADATA_HANDLE metadata_handle, const wchar_t* key, FS_WSTR* return_wstringarray, FS_UINT32* return_array_length);
FSErrorCode FSDK_Metadata_SetValues(FS_METADATA_HANDLE metadata_handle, const wchar_t* key, const FS_WSTR* wstringarray, FS_UINT32 array_length_value_array, FS_BOOL* return_value);
FSErrorCode FSDK_Metadata_GetCustomerKeys(FS_METADATA_HANDLE metadata_handle, FS_WSTR* return_wstringarray, FS_UINT32* return_array_length);
FSErrorCode FSDK_Metadata_RemoveCustomerKey(FS_METADATA_HANDLE metadata_handle, const wchar_t* key);
#ifdef __cplusplus
}
#endif
#endif
